curl --request GET \
--url https://api.arize.com/v2/ai-integrations/{integration_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/ai-integrations/{integration_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/ai-integrations/{integration_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "TGxtSW50ZWdyYXRpb246MTI6YUJjRA==",
"name": "My OpenAI Integration",
"provider": "OPEN_AI",
"has_api_key": true,
"model_names": [
"gpt-4",
"gpt-4o"
],
"enable_default_models": true,
"function_calling_enabled": true,
"auth_type": "DEFAULT",
"scopings": [
{}
],
"created_at": "2026-02-13T21:27:19.055Z",
"updated_at": "2026-02-13T21:27:19.279Z",
"created_by_user_id": "VXNlcjoxOm5OYkM="
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Get an AI integration
Get a specific AI integration by its ID.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique AI integration identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
An AI integration object
An AI integration configures access to an external LLM provider (e.g. OpenAI, Azure OpenAI, AWS Bedrock, Vertex AI). Integrations can be scoped to the entire account, a specific organization, or a specific space.
The integration ID
The integration name
The AI provider for this integration
OPEN_AI, AZURE_OPEN_AI, AWS_BEDROCK, VERTEX_AI, ANTHROPIC, CUSTOM, NVIDIA_NIM, GEMINI, LITELLM Whether an API key is configured (the key itself is never returned)
Whether the provider's default model list is enabled
Whether function/tool calling is enabled
The authentication method for this integration. OAUTH2_CLIENT_CREDENTIALS is returned for integrations configured with OAuth 2.0 client credentials in the Arize UI. Setting it through this API is not yet supported.
DEFAULT, PROXY_WITH_HEADERS, BEARER_TOKEN, OAUTH2_CLIENT_CREDENTIALS Visibility scoping rules
Show child attributes
Show child attributes
When the integration was created
When the integration was last updated
The user ID of the user who created the integration
Custom base URL for the provider
Supported model names
Custom headers included in requests
Show child attributes
Show child attributes
Provider-specific configuration. For AWS_BEDROCK, must include role_arn. For VERTEX_AI, must include project_id, location, and project_access_label.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?